[package]
name = "foundry_os"
edition.workspace = true
version.workspace = true
authors.workspace = true

[dependencies]
limine = "0.3.1"
x86_64 = "0.15.2"
spin = "0.9.8"
pic8259 = "0.11.0"
pc-keyboard = "0.8.0"
libm = { path = "../libm" }
crossbeam = { version = "0.8.4", default-features = false, features = [
    "alloc",
    "crossbeam-queue",
] }
futures-util = { version = "0.3.31", default-features = false, features = [
    "alloc",
] }
linked_list_allocator = { version = "0.10.5", features = ["use_spin"] }
gimli = { version = "0.31.1", default-features = false, features = ["read"] }
elf = { version = "0.7.4", default-features = false, features = ["nightly"] }
fallible-iterator = "0.3.0"

[build-dependencies]
cc = "1.2.14"

[features]
default = []

[[bin]]
name = "kernel"
path = "src/main.rs"
test = false
